Bug 1572649 - [RFE] Inform user that hot plug of CPU (cores per socket) has not been applied
Summary: [RFE] Inform user that hot plug of CPU (cores per socket) has not been applied
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.11.8
Assignee: Milan Zázrivec
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 13:59 UTC by Jan Zmeskal
Modified: 2020-08-19 17:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-19 17:21:52 UTC
Category: Feature
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
Report: VMs Requiring Restart (141.48 KB, image/png)
2020-07-31 10:19 UTC, Milan Zázrivec
no flags Details
Example report output (111.79 KB, image/png)
2020-07-31 10:22 UTC, Milan Zázrivec
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 443 0 'None' closed Rfe/vm restart needed 2020-08-19 15:59:08 UTC
Github ManageIQ manageiq-schema pull 440 0 'None' closed Add restart_needed field to vms 2020-08-19 15:59:08 UTC

Description Jan Zmeskal 2018-04-27 13:59:55 UTC
Description of problem:
When you increase or decrease the number of cores per socket while VM is up, the request in CFME UI is completed successfully. However, the changed has not been actually applied since RHV does not support this. CFME user is not warned about this in any way. They should know that this change will be applied __only once the VM has been restarted__. 

Version-Release number of selected component (if applicable):
CFME 5.9.2.3

How reproducible:
100 %

Steps to Reproduce:
1. Have a CFME appliance with RHV as a provider. Have a running VM on RHV.
2. Go to the VM's detail page.
3. Click Configuration -> Reconfigure this VM. Choose Processors switch and increase the number of Cores per Sockets.
4. Submit your configuration request and wait for it to finish. 

Actual results:
Request is completed successfully. However, if you inspect the VM in RHV or if you SSH to it, you can see that the number of cores per socket has not increased. There is no indication in CFME UI that this is the case.

Expected results:
I would expect as an user to be informed that some configuration is waiting for the VM to be restarted in order to actually take place. Right now there is inconsistency. If you change VM's memory or number of sockets, you get the same result. However, unlike cores per socket, memory and sockets change takes place immediately without the need to restart the VM.

Additional info:

Comment 7 CFME Bot 2019-12-02 16:18:07 UTC
New commit detected on ManageIQ/manageiq-schema/master:

https://github.com/ManageIQ/manageiq-schema/commit/5974528dac84766bd97af40610c40c7cd40e1927
commit 5974528dac84766bd97af40610c40c7cd40e1927
Author:     Roberto Ciatti <gekorob@users.noreply.github.com>
AuthorDate: Thu Nov 28 06:22:50 2019 -0500
Commit:     Roberto Ciatti <gekorob@users.noreply.github.com>
CommitDate: Thu Nov 28 06:22:50 2019 -0500

    Add restart_needed field to vms

    Sometimes VMs need to be restarted to apply not hotpluggable configuration
    changes and the user needs to be aware of that.
    Changes to a VM can be applied through ManageIQ but also by the
    external the external system

    This is part of the RFE
    https://bugzilla.redhat.com/show_bug.cgi?id=1572649

 db/migrate/20191128111630_add_restart_needed_to_vms.rb | 5 +
 1 file changed, 5 insertions(+)

Comment 12 CFME Bot 2020-07-27 12:10:59 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ef5cab79df98fa5c8a244729f909b1cae7f3fead
commit ef5cab79df98fa5c8a244729f909b1cae7f3fead
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jul 22 16:18:36 2020 +0000
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Jul 23 11:19:23 2020 +0000

    Add flash message about required restart to VM summary screen

    https://bugzilla.redhat.com/show_bug.cgi?id=1572649

 app/controllers/vm_common.rb | 6 +
 app/helpers/textual_summary_helper.rb | 6 +
 app/helpers/vm_helper/textual_summary.rb | 4 +
 app/views/layouts/_textual_groups_generic.html.haml | 4 +
 4 files changed, 20 insertions(+)

Comment 18 Milan Zázrivec 2020-07-31 09:48:08 UTC
There's no need to use automation here. You can create a custom report directly showing
the "Restart Needed" attribute (plus whatever else you need to show).

What I wrote in comment #15 was that this feature (overall, not just the UI part) requires
a schema change and as such most likely will not land in CF 5.0 / CFME 5.11.

Comment 19 Felix Dewaleyne 2020-07-31 09:58:56 UTC
(In reply to Milan Zázrivec from comment #18)
> There's no need to use automation here. You can create a custom report
> directly showing
> the "Restart Needed" attribute (plus whatever else you need to show).
> 
> What I wrote in comment #15 was that this feature (overall, not just the UI
> part) requires
> a schema change and as such most likely will not land in CF 5.0 / CFME 5.11.

what fields do you use in the report? Would it work for rhev

Comment 20 Milan Zázrivec 2020-07-31 10:19:16 UTC
Created attachment 1703085 [details]
Report: VMs Requiring Restart

Comment 21 Milan Zázrivec 2020-07-31 10:22:04 UTC
Created attachment 1703086 [details]
Example report output

This and the previous screenshots show a custom report and a report result
with VMS that need a restart.

Though this was done on current ManageIQ master, as I wrote before, the schema
changes are not present in current ivanchuk (CFME 5.11).


Note You need to log in before you can comment on or make changes to this bug.